Bug 805580 - UnicodeDecodeError: 'utf8' codec can't decode byte 0xe2 in position 203: invalid continuation byte
UnicodeDecodeError: 'utf8' codec can't decode byte 0xe2 in position 203: inva...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Petr Muller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 11:54 EDT by Michal Nowak
Modified: 2013-05-21 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: beakerlib-1.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 947555 (view as bug list)
Environment:
Last Closed: 2013-05-21 23:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Problematic file (347 bytes, application/octet-stream)
2012-03-21 11:54 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2012-03-21 11:54:01 EDT
Created attachment 571750 [details]
Problematic file

Description of problem:

Got:

Traceback (most recent call last):
  File "/usr/bin/beakerlib-journalling", line 478, in <module>
    addMessage(options.testid, options.message, severity)
  File "/usr/bin/beakerlib-journalling", line 387, in addMessage
    msgText = jrnl.createTextNode(unicode(message,"utf-8").translate(xmlTrans))
UnicodeDecodeError: 'utf8' codec can't decode byte 0xe2 in position 203: invalid continuation byte

After rlLog "$( cat out )". File out attached.

Version-Release number of selected component (if applicable):

python-2.6.6-29.el6.x86_64
beakerlib-1.3-7.el6.noarch
Comment 3 Petr Muller 2013-04-02 13:58:39 EDT
This was fixed during recent UTF-8 robustness improvements. I've included the reproducer as a new testcase, though

http://git.fedorahosted.org/cgit/beakerlib.git/commit/?id=01637dbaf7efebcd47dabb2b7b167e1afcf78642
Comment 4 Fedora End Of Life 2013-04-03 16:30:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2013-04-30 11:10:24 EDT
beakerlib-1.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/beakerlib-1.7-1.fc19
Comment 6 Fedora Update System 2013-04-30 16:03:59 EDT
Package beakerlib-1.7-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.7-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7067/beakerlib-1.7-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-05-21 23:14:49 EDT
beakerlib-1.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.